scala.tools.nsc.Global

# inliner

#### object inliner extends Inliners

Linear Supertypes
Inliners, SubComponent, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. inliner
2. Inliners
3. SubComponent
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Inliner extends AnyRef

   Simple inliner.

2. #### class InliningPhase extends Global.icodes.ICodePhase

   The Inlining phase.

3. #### abstract class StdPhase extends GlobalPhase

   A standard phase template

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final val MAX_INLINE_RETRY: Int(15)

   Maximum loop iterations.

   Maximum loop iterations.

   Definition Classes
     Inliners

7. #### final val MAX_INLINE_SIZE: Int(16)

   The maximum size in basic blocks of methods considered for inlining.

   The maximum size in basic blocks of methods considered for inlining.

   Definition Classes
     Inliners

8. #### val SMALL_METHOD_SIZE: Int

   Small method size (in blocks)

   Small method size (in blocks)

   Definition Classes
     Inliners

9. #### final def afterOwnPhase[T](op: ⇒ T): T

   Definition Classes
     SubComponent
   Annotations
     @inline()

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### final def beforeOwnPhase[T](op: ⇒ T): T

    Definition Classes
      SubComponent
    Annotations
      @inline()

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### val global: Global.this.type

    The global environment; overridden by instantiation in Global.

    The global environment; overridden by instantiation in Global.

    Definition Classes
      inliner → SubComponent

18. #### def hasInline(sym: Global.Symbol): Boolean

    Definition Classes
      Inliners

19. #### def hasNoInline(sym: Global.Symbol): Boolean

    Definition Classes
      Inliners

20. #### def hashCode(): Int

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    Definition Classes
      SubComponent → AnyRef → Any

21. #### val internal: Boolean

    Internal flag to tell external from internal phases

    Internal flag to tell external from internal phases

    Definition Classes
      SubComponent

22. #### def isBottomType(sym: Global.Symbol): Boolean

    Definition Classes
      Inliners

23. #### def isClosureClass(cls: Global.Symbol): Boolean

    Is the given class a closure?

    Is the given class a closure?

    Definition Classes
      Inliners

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def isMonadicMethod(sym: Global.Symbol): Boolean

    Definition Classes
      Inliners

26. #### val knownHasInline: Set[Global.Symbol]

    Definition Classes
      Inliners

27. #### val knownLacksInline: Set[Global.Symbol]

    Definition Classes
      Inliners

28. #### def lookupImplFor(sym: Global.Symbol, clazz: Global.Symbol): Global.Symbol

    Look up implementation of method 'sym in 'clazz'.

    Look up implementation of method 'sym in 'clazz'.

    Definition Classes
      Inliners

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### def newPhase(p: Phase): InliningPhase

    Create a new phase

    Create a new phase

    Definition Classes
      Inliners → SubComponent

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### def ownPhase: Phase

    The phase corresponding to this subcomponent in the current compiler run

    The phase corresponding to this subcomponent in the current compiler run

    Definition Classes
      SubComponent

34. #### val phaseName: String

    The name of the phase

    The name of the phase

    Definition Classes
      Inliners → SubComponent

35. #### def phaseNewFlags: Long

    New flags defined by the phase which are not valid before

    New flags defined by the phase which are not valid before

    Definition Classes
      SubComponent

36. #### def phaseNextFlags: Long

    New flags defined by the phase which are not valid until immediately after it

    New flags defined by the phase which are not valid until immediately after it

    Definition Classes
      SubComponent

37. #### val runsAfter: collection.immutable.List[String]

    List of phase names, this phase should run after

    List of phase names, this phase should run after

    Definition Classes
      inliner → SubComponent

38. #### val runsBefore: List[String]

    List of phase names, this phase should run before

    List of phase names, this phase should run before

    Definition Classes
      SubComponent

39. #### val runsRightAfter: None.type

    Phase name this phase will attach itself to, not allowing any phase to come between it and the phase name declared

    Phase name this phase will attach itself to, not allowing any phase to come between it and the phase name declared

    Definition Classes
      inliner → SubComponent

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def toString(): String

    Definition Classes
      AnyRef → Any

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Inliners

### Inherited from SubComponent

### Inherited from AnyRef

### Inherited from Any

### Ungrouped